org.apache.lucene.document

## Class LongRangeDocValuesField

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.apache.lucene.document.BinaryDocValuesField
    - - org.apache.lucene.document.LongRangeDocValuesField

- All Implemented Interfaces:
    IndexableField

      public class LongRangeDocValuesField
      extends BinaryDocValuesField

  DocValues field for LongRange. This is a single valued field per document due to being an extension of BinaryDocValuesField.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

      `Field.Store`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.document.BinaryDocValuesField

      `TYPE`

    - ### Fields inherited from class org.apache.lucene.document.Field

      `fieldsData, name, tokenStream, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongRangeDocValuesField(String field, long[] min, long[] max)` Sole constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getMax(int dimension)` Get the maximum value for the given dimension.
    `long` | `getMin(int dimension)` Get the minimum value for the given dimension.
    `static Query` | `newSlowIntersectsQuery(String field, long[] min, long[] max)` Create a new range query that finds all ranges that intersect using doc values.

    - ### Methods inherited from class org.apache.lucene.document.Field

      `binaryValue, fieldType, getCharSequenceValue, name, numericValue, readerValue, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LongRangeDocValuesField

          public LongRangeDocValuesField(String field,
                                         long[] min,
                                         long[] max)

      Sole constructor.

  - ### Method Detail

    - #### getMin

          public long getMin(int dimension)

      Get the minimum value for the given dimension.

    - #### getMax

          public long getMax(int dimension)

      Get the maximum value for the given dimension.

    - #### newSlowIntersectsQuery

          public static Query newSlowIntersectsQuery(String field,
                                                     long[] min,
                                                     long[] max)

      Create a new range query that finds all ranges that intersect using doc values. NOTE: This doesn't leverage indexing and may be slow.
      See Also:
        `LongRange.newIntersectsQuery(java.lang.String, long[], long[])`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.